Mar 29

I’m in need of a G4 or G5 system so that I can dual-boot Mac OS X 10.3 and 10.4 in order to troubleshoot and help people running those older versions of the operating system (both of my personal systems are Intel-based and run 10.5). If someone has an older system available and would like to donate it to the cause, please email and let me know.

I run MacHELP as a non-profit hobby; it makes no income. I usually answer between five and ten questions a day and have helped more than 1200 people with their Macintosh and Mac OS X problems since April of 2007.

Comments are closed.